Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F90	(revision 5117)
@@ -9,7 +9,7 @@
   USE mod_hallo
   USE Bands
-  USE strings_mod, ONLY: int2str
+  USE lmdz_strings, ONLY: int2str
   USE Write_Field_p
-  USE vampir
+  USE lmdz_vampir
   USE lmdz_timer_filtre, ONLY: print_filtre_timer
   USE infotrac
@@ -27,6 +27,6 @@
           , leapfrog_allocate, leapfrog_switch_caldyn, leapfrog_switch_dissip
 
-  use exner_hyb_loc_m, ONLY: exner_hyb_loc
-  use exner_milieu_loc_m, ONLY: exner_milieu_loc
+  USE exner_hyb_loc_m, ONLY: exner_hyb_loc
+  USE exner_milieu_loc_m, ONLY: exner_milieu_loc
   USE comconst_mod, ONLY: cpp, dtvr, ihf
   USE comvert_mod, ONLY: ap, bp, pressure_exner
@@ -150,5 +150,5 @@
   REAL :: secondes
 
-  logical :: physic
+  LOGICAL :: physic
   LOGICAL :: first, callinigrads
 
@@ -213,9 +213,9 @@
   lafin = .FALSE.
 
-  if (nday>=0) THEN
+  IF (nday>=0) THEN
     itaufin = nday * day_step
   else
     itaufin = -nday
-  endif
+  ENDIF
 
   itaufinp1 = itaufin + 1
@@ -225,5 +225,5 @@
   itau = 0
   physic = .TRUE.
-  if (iflag_phys==0.or.iflag_phys==2) physic = .FALSE.
+  IF (iflag_phys==0.OR.iflag_phys==2) physic = .FALSE.
   CALL init_nan
   CALL leapfrog_allocate
@@ -247,5 +247,5 @@
   ! Allocate variables depending on dynamic variable nqtot
   !$OMP MASTER
-  if (firstcall) THEN
+  IF (firstcall) THEN
     ! ALLOCATE(p(ijb_u:ije_u,llmp1))
     !      ALLOCATE(pks(ijb_u:ije_u))
@@ -274,5 +274,5 @@
     ! ALLOCATE(vcont(ijb_v:ije_v,llm),ucont(ijb_u:ije_u,llm))
     ! ALLOCATE(vnat(ijb_v:ije_v,llm),unat(ijb_u:ije_u,llm))
-  endif
+  ENDIF
   !$OMP END MASTER
   !$OMP BARRIER
@@ -290,9 +290,9 @@
   CALL pression (ijnb_u, ap, bp, ps, p)
   !$OMP END MASTER
-  if (pressure_exner) THEN
+  IF (pressure_exner) THEN
     CALL exner_hyb_loc(ijnb_u, ps, p, pks, pk, pkf)
   else
     CALL exner_milieu_loc(ijnb_u, ps, p, pks, pk, pkf)
-  endif
+  ENDIF
   !-----------------------------------------------------------------------
   !   Debut de l'integration temporelle:
@@ -309,15 +309,15 @@
   jH_cur = jH_ref + start_time + &
           mod(itau + 1, day_step) / float(day_step)
-  if (jH_cur > 1.0) THEN
+  IF (jH_cur > 1.0) THEN
     jD_cur = jD_cur + 1.
     jH_cur = jH_cur - 1.
-  endif
+  ENDIF
 
   CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 321')
 
-  if (ok_guide) THEN
+  IF (ok_guide) THEN
     CALL guide_main(itau,ucov,vcov,teta,q,masse,ps)
 !$OMP BARRIER
-  endif
+  ENDIF
 
 
@@ -334,5 +334,5 @@
   !ym      CALL SCOPY( ip1jmp1, ps  , 1,   psm1 , 1 )
 
-  if (FirstCaldyn) THEN
+  IF (FirstCaldyn) THEN
     !$OMP MASTER
     ucovm1 = ucov
@@ -365,5 +365,5 @@
       ! finvmaold(ijb:ije,l)=masse(ijb:ije,l)
 
-      if (pole_sud) ije = ij_end - iip1
+      IF (pole_sud) ije = ij_end - iip1
       vcovm1(ijb:ije, l) = vcov  (ijb:ije, l)
 
@@ -376,5 +376,5 @@
     ! .                    llm, -2,2, .TRUE., 1 )
 
-  endif ! of if (FirstCaldyn)
+  ENDIF ! of if (FirstCaldyn)
 
   forward = .TRUE.
@@ -398,9 +398,9 @@
   !$OMP MASTER
   ItCount = ItCount + 1
-  if (MOD(ItCount, 1)==1) THEN
+  IF (MOD(ItCount, 1)==1) THEN
     debug = .TRUE.
   else
     debug = .FALSE.
-  endif
+  ENDIF
   !$OMP END MASTER
   !-----------------------------------------------------------------------
@@ -414,5 +414,5 @@
     jH_cur = jH_ref + start_time + &
             mod(itau + 1, day_step) / float(day_step)
-    if (jH_cur > 1.0) THEN
+    IF (jH_cur > 1.0) THEN
       jD_cur = jD_cur + 1.
       jH_cur = jH_cur - 1.
@@ -436,5 +436,5 @@
             apdiss = .TRUE.
     IF(MOD(itau, iphysiq)==0.AND..NOT.forward &
-            .and. physic) apphys = .TRUE.
+            .AND. physic) apphys = .TRUE.
   ELSE
     ! Leapfrog/Matsuno time stepping
@@ -447,7 +447,7 @@
   ! Ehouarn: for Shallow Water case (ie: 1 vertical layer),
   ! supress dissipation step
-  if (llm==1) THEN
+  IF (llm==1) THEN
     apdiss = .FALSE.
-  endif
+  ENDIF
 
   !ym    ---> Pour le moment
@@ -456,5 +456,5 @@
   ! conser = .FALSE. ! ie: no output of control variables to stdout in //
 
-  if (firstCaldyn) THEN
+  IF (firstCaldyn) THEN
     !$OMP MASTER
     CALL Set_Distrib(distrib_caldyn)
@@ -466,5 +466,5 @@
     CALL Init_timer
     !$OMP END MASTER
-  endif
+  ENDIF
 
   !$OMP MASTER
@@ -478,14 +478,14 @@
 
   !ym  PAS D'AJUSTEMENT POUR LE MOMENT
-  if (Adjust) THEN
+  IF (Adjust) THEN
     AdjustCount = AdjustCount + 1
-    ! if (iapptrac==iapp_tracvl .and. (forward .OR.  leapf)
-    ! &         .and. itau/iphysiq>2 .and. Adjustcount>30) THEN
-    if (Adjustcount>1) THEN
+    ! if (iapptrac==iapp_tracvl .AND. (forward .OR.  leapf)
+    ! &         .AND. itau/iphysiq>2 .AND. Adjustcount>30) THEN
+    IF (Adjustcount>1) THEN
       AdjustCount = 0
       !$OMP MASTER
       CALL allgather_timer_average
 
-      if (prt_level > 9) THEN
+      IF (prt_level > 9) THEN
         print *, '*********************************'
         print *, '******    TIMER CALDYN     ******'
@@ -586,9 +586,9 @@
 
       !$OMP MASTER
-      if (mpi_rank==0) CALL WriteBands
+      IF (mpi_rank==0) CALL WriteBands
       !$OMP END MASTER
 
     endif
-  endif
+  ENDIF
 
   CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 589')
@@ -625,5 +625,5 @@
   !$OMP BARRIER
 
-  if (debug) THEN
+  IF (debug) THEN
     CALL WriteField_u('ucov', ucov)
     CALL WriteField_v('vcov', vcov)
@@ -639,5 +639,5 @@
               q(:, :, iq))
     enddo
-  endif
+  ENDIF
 
   True_itau = True_itau + 1
@@ -670,5 +670,5 @@
 
   !$OMP MASTER
-  if (mpi_rank==0.AND.conser) THEN
+  IF (mpi_rank==0.AND.conser) THEN
     WRITE(lunout, *) 'leapfrog_loc, Time step: ', itau, ' Day:', time
   ENDIF
@@ -728,5 +728,5 @@
   !$OMP END MASTER
   IF (CPPKEY_DEBUGIO) THEN
-    if (true_itau>20) THEN
+    IF (true_itau>20) THEN
       CALL WriteField_u('ucovm1', ucovm1)
       CALL WriteField_v('vcovm1', vcovm1)
@@ -802,5 +802,5 @@
     ! c-jld
     !$OMP MASTER
-    if (FirstPhysic) THEN
+    IF (FirstPhysic) THEN
       ok_start_timer = .TRUE.
       FirstPhysic = .FALSE.
@@ -814,5 +814,5 @@
   IF(iflag_phys==2) THEN ! "Newtonian" case
     !$OMP MASTER
-    if (FirstPhysic) THEN
+    IF (FirstPhysic) THEN
       ok_start_timer = .TRUE.
       FirstPhysic = .FALSE.
@@ -838,5 +838,5 @@
 
     !$OMP MASTER
-    if (planet_type=="giant") THEN
+    IF (planet_type=="giant") THEN
       ! add an intrinsic heat flux at the base of the atmosphere
       teta(ijb:ije, 1) = teta(ijb:ije, 1) &
@@ -864,9 +864,9 @@
   CALL pression_loc (ip1jmp1, ap, bp, ps, p)
   !$OMP BARRIER
-  if (pressure_exner) THEN
+  IF (pressure_exner) THEN
     CALL exner_hyb_loc(ijnb_u, ps, p, pks, pk, pkf)
   else
     CALL exner_milieu_loc(ijnb_u, ps, p, pks, pk, pkf)
-  endif
+  ENDIF
   !$OMP BARRIER
   CALL massdair_loc(p, masse)
@@ -897,5 +897,5 @@
     CALL allgather_timer_average
     CALL barrier
-    if (mpi_rank==0) THEN
+    IF (mpi_rank==0) THEN
       print *, '*********************************'
       print *, '******    TIMER CALDYN     ******'
@@ -944,5 +944,5 @@
     !$OMP END MASTER
 
-    if (ok_guide) THEN
+    IF (ok_guide) THEN
       ! set ok_guide to false to avoid extra output
       ! in following forward step
@@ -960,5 +960,5 @@
       ENDIF
 #ifdef REPROBUS
-     if (type_trac == 'repr') CALL finalize_reprobus
+     IF (type_trac == 'repr') CALL finalize_reprobus
 #endif
 
@@ -988,5 +988,5 @@
 
     IF(itau == itaufinp1) THEN
-      if (flag_verif) THEN
+      IF (flag_verif) THEN
         WRITE(79, *) 'ucov', ucov
         WRITE(80, *) 'vcov', vcov
@@ -1013,5 +1013,5 @@
         ENDIF
 #ifdef REPROBUS
-          if (type_trac == 'repr') CALL finalize_reprobus
+          IF (type_trac == 'repr') CALL finalize_reprobus
 #endif
 
@@ -1064,5 +1064,5 @@
     IF(MOD(itau, iecri)==0) THEN
       ! Ehouarn: output only during LF or Backward Matsuno
-      if (leapf.or.(.not.leapf.and.(.not.forward))) THEN
+      IF (leapf.OR.(.NOT.leapf.AND.(.NOT.forward))) THEN
         !$OMP BARRIER
         !$OMP MASTER
@@ -1071,5 +1071,5 @@
         !$OMP BARRIER
 
-         if (ok_dyn_ins) THEN
+         IF (ok_dyn_ins) THEN
              CALL writehist_loc(itau,vcov,ucov,teta,pk,phi,q, &
                    masse,ps,phis)
@@ -1085,5 +1085,5 @@
         ENDIF
 
-      endif                 ! of if (leapf.or.(.not.leapf.and.(.not.forward)))
+      endif                 ! of if (leapf.OR.(.NOT.leapf.AND.(.NOT.forward)))
 
     ENDIF ! of IF(MOD(itau,iecri).EQ.0)
@@ -1093,10 +1093,10 @@
       !$OMP BARRIER
 
-      ! if (planet_type.eq."earth") THEN
+      ! if (planet_type.EQ."earth") THEN
       ! Write an Earth-format restart file
       CALL dynredem1_loc("restart.nc", 0.0, &
               vcov, ucov, teta, q, masse, ps)
-      ! endif ! of if (planet_type.eq."earth")
-      if (ok_guide) THEN
+      ! END IF ! of if (planet_type.EQ."earth")
+      IF (ok_guide) THEN
         ! set ok_guide to false to avoid extra output
         ! in following forward step
@@ -1141,5 +1141,5 @@
     !    ELSEIF (MOD(itau-1,iperiod).EQ.0)
 
-  ELSE ! of IF (.not.purmats)
+  ELSE ! of IF (.NOT.purmats)
 
     CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 1664')
@@ -1175,5 +1175,5 @@
           ENDIF
 #ifdef REPROBUS
-             if (type_trac == 'repr') CALL finalize_reprobus
+             IF (type_trac == 'repr') CALL finalize_reprobus
 #endif
 
@@ -1226,5 +1226,5 @@
 
 
-          if (ok_dyn_ins) THEN
+          IF (ok_dyn_ins) THEN
              CALL writehist_loc(itau,vcov,ucov,teta,pk,phi,q, &
                    masse,ps,phis)
@@ -1243,9 +1243,9 @@
 
       IF(itau==itaufin) THEN
-        ! if (planet_type.eq."earth") THEN
+        ! if (planet_type.EQ."earth") THEN
         CALL dynredem1_loc("restart.nc", 0.0, &
                 vcov, ucov, teta, q, masse, ps)
-        ! endif ! of if (planet_type.eq."earth")
-        if (ok_guide) THEN
+        ! END IF ! of if (planet_type.EQ."earth")
+        IF (ok_guide) THEN
           ! set ok_guide to false to avoid extra output
           ! in following forward step
@@ -1262,5 +1262,5 @@
     CALL check_isotopes(q, ijb_u, ije_u, 'leapfrog 1750')
 
-  END IF ! of IF(.not.purmats)
+  END IF ! of IF(.NOT.purmats)
   !$OMP MASTER
   CALL fin_getparam
@@ -1277,5 +1277,5 @@
     ENDIF
 #ifdef REPROBUS
-  if (type_trac == 'repr') CALL finalize_reprobus
+  IF (type_trac == 'repr') CALL finalize_reprobus
 #endif
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5117)
@@ -71,15 +71,15 @@
           phis_dyn, q_dyn, flxw_dyn)
     USE dimensions_mod
-    use exner_hyb_loc_m, ONLY: exner_hyb_loc
-    use exner_milieu_loc_m, ONLY: exner_milieu_loc
+    USE exner_hyb_loc_m, ONLY: exner_hyb_loc
+    USE exner_milieu_loc_m, ONLY: exner_milieu_loc
     USE parallel_lmdz
     USE times
     USE mod_hallo
     USE Bands
-    USE vampir
+    USE lmdz_vampir
     USE infotrac, ONLY: nqtot
     USE control_mod
     USE write_field_loc
-    USE strings_mod, ONLY: int2str
+    USE lmdz_strings, ONLY: int2str
     USE comconst_mod, ONLY: dtphys
     USE logic_mod, ONLY: leapf, forward, ok_strato
@@ -144,5 +144,5 @@
     jH_cur = jH_ref + start_time + &
             mod(itau + 1, day_step) / float(day_step)
-    if (jH_cur > 1.0) THEN
+    IF (jH_cur > 1.0) THEN
       jD_cur = jD_cur + 1.
       jH_cur = jH_cur - 1.
@@ -231,5 +231,5 @@
     ijb = ij_begin
     ije = ij_end
-    IF (.not. pole_nord) THEN
+    IF (.NOT. pole_nord) THEN
 
       !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -246,5 +246,5 @@
       !$OMP END MASTER
 
-    ENDIF ! of if ( .not. pole_nord)
+    ENDIF ! of if ( .NOT. pole_nord)
 
     !$OMP BARRIER
@@ -275,5 +275,5 @@
     !$OMP BARRIER
     ijb = ij_begin
-    IF (.not. pole_nord) THEN
+    IF (.NOT. pole_nord) THEN
 
       !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -290,5 +290,5 @@
       !$OMP END MASTER
 
-    endif ! of if (.not. pole_nord)
+    endif ! of if (.NOT. pole_nord)
 
     IF (CPPKEY_DEBUGIO) THEN
@@ -334,5 +334,5 @@
     CALL massdair_loc(p, masse)
     !$OMP BARRIER
-    if (pressure_exner) THEN
+    IF (pressure_exner) THEN
       CALL exner_hyb_loc(ijnb_u, ps, p, pks, pk, pkf)
     else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_filtreg_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_filtreg_p.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_filtreg_p.F90	(revision 5117)
@@ -102,5 +102,5 @@
     !-------------------------------------------------------c
 
-    IF(ifiltre==1.or.ifiltre==-1) &
+    IF(ifiltre==1.OR.ifiltre==-1) &
             CALL abort_gcm("lmdz_filtreg_p", 'Pas de transformee&
                     &simple dans cette version', 1)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massdair_loc.f90	(revision 5117)
@@ -88,6 +88,6 @@
   ije=ij_end+2*iip1
 
-  if (pole_nord) ijb=ij_begin
-  if (pole_sud)  ije=ij_end
+  IF (pole_nord) ijb=ij_begin
+  IF (pole_sud)  ije=ij_end
 
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_const_mpi.F90	(revision 5117)
@@ -18,5 +18,5 @@
     USE mod_prism
 #endif
-    USE wxios, ONLY: wxios_init, using_xios
+    USE lmdz_wxios, ONLY: wxios_init, using_xios
     IMPLICIT NONE
 
@@ -56,5 +56,5 @@
   SUBROUTINE Init_mpi
     USE lmdz_mpi
-    USE wxios, ONLY: wxios_init, using_xios
+    USE lmdz_wxios, ONLY: wxios_init, using_xios
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5117)
@@ -3,21 +3,21 @@
 IMPLICIT NONE
   logical,save :: use_mpi_alloc
-  integer, parameter :: MaxProc=512
-  integer, parameter :: DefaultMaxBufferSize=1024*1024*100
-  integer, SAVE :: MaxBufferSize=0
-  integer, parameter :: ListSize=1000
-  
-  integer,save       :: MaxBufferSize_Used
+  INTEGER, parameter :: MaxProc=512
+  INTEGER, parameter :: DefaultMaxBufferSize=1024*1024*100
+  INTEGER, SAVE :: MaxBufferSize=0
+  INTEGER, parameter :: ListSize=1000
+  
+  INTEGER,save       :: MaxBufferSize_Used
 !$OMP THREADPRIVATE( MaxBufferSize_Used)
 
-   real,save,pointer,dimension(:) :: Buffer
+   REAL,SAVE,pointer,DIMENSION(:) :: Buffer
 !$OMP THREADPRIVATE(Buffer)
 
-   integer,save,dimension(Listsize) :: Buffer_Pos
-   integer,save :: Index_Pos
+   INTEGER,SAVE,DIMENSION(Listsize) :: Buffer_Pos
+   INTEGER,save :: Index_Pos
 !$OMP THREADPRIVATE(Buffer_Pos,Index_pos)
    
   type Hallo
-    real, dimension(:,:),pointer :: Field
+    REAL, DIMENSION(:,:),pointer :: Field
     INTEGER :: offset
     INTEGER :: size
@@ -37,6 +37,6 @@
 
   type request
-    type(request_SR),dimension(0:MaxProc-1) :: RequestSend
-    type(request_SR),dimension(0:MaxProc-1) :: RequestRecv
+    type(request_SR),DIMENSION(0:MaxProc-1) :: RequestSend
+    type(request_SR),DIMENSION(0:MaxProc-1) :: RequestRecv
     INTEGER :: tag=1
   end type request
@@ -143,11 +143,11 @@
     INTEGER :: Pos
 
-    if (Buffer_pos(Index_pos)+Size>MaxBufferSize_Used) MaxBufferSize_Used=Buffer_pos(Index_pos)+Size  
-    if (Buffer_pos(Index_pos)+Size>MaxBufferSize) THEN
+    IF (Buffer_pos(Index_pos)+Size>MaxBufferSize_Used) MaxBufferSize_Used=Buffer_pos(Index_pos)+Size
+    IF (Buffer_pos(Index_pos)+Size>MaxBufferSize) THEN
       print *,'STOP :: La taille de MaxBufferSize dans mod_hallo.F90 est trop petite !!!!'
       CALL abort_gcm("mod_hallo","stopped",1)
     endif
     
-    if (Index_pos>=ListSize) THEN
+    IF (Index_pos>=ListSize) THEN
       print *,'STOP :: La taille de ListSize dans mod_hallo.F90 est trop petite !!!!'
       CALL abort_gcm("mod_hallo","stopped",1)
@@ -167,5 +167,5 @@
     Buffer_Pos(Index)=-1
     
-    do while (Buffer_Pos(Index_Pos)==-1 .and. Index_Pos>1)
+    do while (Buffer_Pos(Index_Pos)==-1 .AND. Index_Pos>1)
       Index_Pos=Index_Pos-1
     END DO
@@ -187,5 +187,5 @@
     INTEGER :: size
     INTEGER :: offset
-    real, dimension(Stride,NbLevel),target :: Field
+    REAL, DIMENSION(Stride,NbLevel),target :: Field
     type(request_SR),pointer :: Ptr_request
     type(Hallo),POINTER :: NewHallos(:),HalloSwitch(:), NewHallo
@@ -220,5 +220,5 @@
     
       INTEGER :: ij,ll,offset,size,target
-      REAL, dimension(ij,ll) :: Field
+      REAL, DIMENSION(ij,ll) :: Field
       type(request),target :: a_request
       type(request_SR),pointer :: Ptr_request
@@ -236,5 +236,5 @@
    
       INTEGER :: ij,ll,offset,size,target
-      REAL, dimension(ij,ll) :: Field
+      REAL, DIMENSION(ij,ll) :: Field
       type(request),target :: a_request
       type(request_SR),pointer :: Ptr_request
@@ -253,9 +253,9 @@
     
     INTEGER :: ij,ll
-    REAL, dimension(ij,ll) :: FieldS
-    REAL, dimension(ij,ll) :: FieldR
+    REAL, DIMENSION(ij,ll) :: FieldS
+    REAL, DIMENSION(ij,ll) :: FieldR
     type(request) :: a_request
-    integer,dimension(0:MPI_Size-1) :: jj_Nb_New   
-    integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Nb_New
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
     
     INTEGER ::i,jje,jjb
@@ -269,11 +269,11 @@
     
     do i=0,MPI_Size-1
-      if (i /= MPI_Rank) THEN
+      IF (i /= MPI_Rank) THEN
         jjb=max(jj_begin_new(i),jj_begin)
         jje=min(jj_end_new(i),jj_end)
         
-        if (ij==ip1jm .and. jje==jjp1) jje=jjm
-        
-        if (jje >= jjb) THEN
+        IF (ij==ip1jm .AND. jje==jjp1) jje=jjm
+        
+        IF (jje >= jjb) THEN
           CALL Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -282,7 +282,7 @@
         jje=min(jj_end_new(MPI_Rank),jj_end_Para(i))
         
-        if (ij==ip1jm .and. jje==jjp1) jje=jjm
-        
-        if (jje >= jjb) THEN
+        IF (ij==ip1jm .AND. jje==jjp1) jje=jjm
+        
+        IF (jje >= jjb) THEN
           CALL Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -301,9 +301,9 @@
     
     INTEGER :: ij,ll,Up,Down
-    REAL, dimension(ij,ll) :: FieldS
-    REAL, dimension(ij,ll) :: FieldR
+    REAL, DIMENSION(ij,ll) :: FieldS
+    REAL, DIMENSION(ij,ll) :: FieldR
     type(request) :: a_request
-    integer,dimension(0:MPI_Size-1) :: jj_Nb_New   
-    integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Nb_New
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
     
     INTEGER ::i,jje,jjb
@@ -322,11 +322,11 @@
    
     do i=0,MPI_Size-1
-      if (i /= MPI_Rank) THEN
+      IF (i /= MPI_Rank) THEN
         jjb=max(jj_begin_new(i),jj_begin)
         jje=min(jj_end_new(i),jj_end)
         
-        if (ij==ip1jm .and. jje==jjp1) jje=jjm
-        
-        if (jje >= jjb) THEN
+        IF (ij==ip1jm .AND. jje==jjp1) jje=jjm
+        
+        IF (jje >= jjb) THEN
           CALL Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -335,7 +335,7 @@
         jje=min(jj_end_new(MPI_Rank),jj_end_Para(i))
         
-        if (ij==ip1jm .and. jje==jjp1) jje=jjm
-        
-        if (jje >= jjb) THEN
+        IF (ij==ip1jm .AND. jje==jjp1) jje=jjm
+        
+        IF (jje >= jjb) THEN
           CALL Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
@@ -1153,5 +1153,5 @@
 
       INTEGER :: ij,ll
-      REAL, dimension(ij,ll) :: Field
+      REAL, DIMENSION(ij,ll) :: Field
       INTEGER :: Sup,Sdown,rup,rdown
       type(request) :: a_request
@@ -1176,17 +1176,17 @@
       ENDIF
       
-      if (Sup==0) THEN
+      IF (Sup==0) THEN
         SendUp=.FALSE.
        endif
       
-      if (Sdown==0) THEN
+      IF (Sdown==0) THEN
         SendDown=.FALSE.
       endif
 
-      if (Rup==0) THEN
+      IF (Rup==0) THEN
         RecvUp=.FALSE.
       endif
       
-      if (Rdown==0) THEN
+      IF (Rdown==0) THEN
         RecvDown=.FALSE.
       endif
@@ -1217,5 +1217,5 @@
       IMPLICIT NONE
       INTEGER :: ll
-      REAL, dimension(ijb_u:ije_u,ll) :: Field
+      REAL, DIMENSION(ijb_u:ije_u,ll) :: Field
       INTEGER :: Sup,Sdown,rup,rdown
       type(request) :: a_request
@@ -1240,17 +1240,17 @@
       ENDIF
       
-      if (Sup==0) THEN
+      IF (Sup==0) THEN
         SendUp=.FALSE.
        endif
       
-      if (Sdown==0) THEN
+      IF (Sdown==0) THEN
         SendDown=.FALSE.
       endif
 
-      if (Rup==0) THEN
+      IF (Rup==0) THEN
         RecvUp=.FALSE.
       endif
       
-      if (Rdown==0) THEN
+      IF (Rdown==0) THEN
         RecvDown=.FALSE.
       endif
@@ -1280,5 +1280,5 @@
       IMPLICIT NONE
       INTEGER :: ll
-      REAL, dimension(ijb_v:ije_v,ll) :: Field
+      REAL, DIMENSION(ijb_v:ije_v,ll) :: Field
       INTEGER :: Sup,Sdown,rup,rdown
       type(request) :: a_request
@@ -1303,17 +1303,17 @@
       ENDIF
       
-      if (Sup==0) THEN
+      IF (Sup==0) THEN
         SendUp=.FALSE.
        endif
       
-      if (Sdown==0) THEN
+      IF (Sdown==0) THEN
         SendDown=.FALSE.
       endif
 
-      if (Rup==0) THEN
+      IF (Rup==0) THEN
         RecvUp=.FALSE.
       endif
       
-      if (Rdown==0) THEN
+      IF (Rdown==0) THEN
         RecvDown=.FALSE.
       endif
@@ -1349,5 +1349,5 @@
       INTEGER :: i,rank,l,ij,Pos,ierr
       INTEGER :: offset
-      real,dimension(:,:),pointer :: Field
+      REAL,DIMENSION(:,:),pointer :: Field
       INTEGER :: Nb
        
@@ -1367,5 +1367,5 @@
       
          Req%BufferSize=SizeBuffer
-         if (Req%NbRequest>0) THEN
+         IF (Req%NbRequest>0) THEN
           CALL allocate_buffer(SizeBuffer,Req%Index,Req%pos)
 
@@ -1389,5 +1389,5 @@
           enddo
     
-         if (SizeBuffer>0) THEN
+         IF (SizeBuffer>0) THEN
 !$OMP CRITICAL (MPI)
          
@@ -1426,8 +1426,8 @@
           Req%BufferSize=SizeBuffer
           
-          if (Req%NbRequest>0) THEN
+          IF (Req%NbRequest>0) THEN
           CALL allocate_buffer(SizeBuffer,Req%Index,Req%Pos)
    
-          if (SizeBuffer>0) THEN
+          IF (SizeBuffer>0) THEN
 !$OMP CRITICAL (MPI)
 
@@ -1462,6 +1462,6 @@
       type(request_SR),pointer :: Req
       type(Hallo),pointer :: PtrHallo
-      integer, dimension(2*mpi_size) :: TabRequest
-      integer, dimension(MPI_STATUS_SIZE,2*mpi_size) :: TabStatus
+      INTEGER, DIMENSION(2*mpi_size) :: TabRequest
+      INTEGER, DIMENSION(MPI_STATUS_SIZE,2*mpi_size) :: TabStatus
       INTEGER :: NbRequest
       INTEGER :: i,rank,pos,ij,l,ierr
@@ -1473,5 +1473,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0 .AND. Req%BufferSize > 0) THEN
+        IF (Req%NbRequest>0 .AND. Req%BufferSize > 0) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1481,5 +1481,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
+        IF (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1487,5 +1487,5 @@
       enddo
      
-      if (NbRequest>0) THEN
+      IF (NbRequest>0) THEN
 !$OMP CRITICAL (MPI)
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1499,5 +1499,5 @@
       do rank=0,MPI_Size-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           Pos=Req%Pos
           do i=1,Req%NbRequest
@@ -1522,5 +1522,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1530,5 +1530,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1547,6 +1547,6 @@
       type(request_SR),pointer :: Req
       type(Hallo),pointer :: PtrHallo
-      integer, dimension(mpi_size) :: TabRequest
-      integer, dimension(MPI_STATUS_SIZE,mpi_size) :: TabStatus
+      INTEGER, DIMENSION(mpi_size) :: TabRequest
+      INTEGER, DIMENSION(MPI_STATUS_SIZE,mpi_size) :: TabStatus
       INTEGER :: NbRequest
       INTEGER :: i,rank,pos,ij,l,ierr
@@ -1557,5 +1557,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1564,5 +1564,5 @@
       
 
-      if (NbRequest>0 .AND. Req%BufferSize > 0 ) THEN 
+      IF (NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
 !$OMP CRITICAL (MPI)     
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1578,5 +1578,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestSend(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1594,6 +1594,6 @@
       type(request_SR),pointer :: Req
       type(Hallo),pointer :: PtrHallo
-      integer, dimension(mpi_size) :: TabRequest
-      integer, dimension(MPI_STATUS_SIZE,mpi_size) :: TabStatus
+      INTEGER, DIMENSION(mpi_size) :: TabRequest
+      INTEGER, DIMENSION(MPI_STATUS_SIZE,mpi_size) :: TabStatus
       INTEGER :: NbRequest
       INTEGER :: i,rank,pos,ij,l,ierr
@@ -1605,5 +1605,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
+        IF (Req%NbRequest>0 .AND. Req%BufferSize > 0 ) THEN
           NbRequest=NbRequest+1
           TabRequest(NbRequest)=Req%MSG_Request
@@ -1612,5 +1612,5 @@
      
       
-      if (NbRequest>0) THEN
+      IF (NbRequest>0) THEN
 !$OMP CRITICAL (MPI)     
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1625,5 +1625,5 @@
       do rank=0,MPI_Size-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           Pos=Req%Pos
           do i=1,Req%NbRequest
@@ -1647,5 +1647,5 @@
       do rank=0,MPI_SIZE-1
         Req=>a_request%RequestRecv(rank)
-        if (Req%NbRequest>0) THEN
+        IF (Req%NbRequest>0) THEN
           CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
@@ -1664,8 +1664,8 @@
     
     INTEGER :: ij,ll,l
-    REAL, dimension(ij,ll) :: FieldS
-    REAL, dimension(ij,ll) :: FieldR
-    integer,dimension(0:MPI_Size-1) :: jj_Nb_New   
-    integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
+    REAL, DIMENSION(ij,ll) :: FieldS
+    REAL, DIMENSION(ij,ll) :: FieldR
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Nb_New
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
     
     INTEGER ::i,jje,jjb,ijb,ije
@@ -1680,7 +1680,7 @@
     jjb=max(jj_begin,jj_begin_new(MPI_Rank))
     jje=min(jj_end,jj_end_new(MPI_Rank))
-    if (ij==ip1jm) jje=min(jje,jjm)
-
-    if (jje >= jjb) THEN
+    IF (ij==ip1jm) jje=min(jje,jjm)
+
+    IF (jje >= jjb) THEN
       ijb=(jjb-1)*iip1+1
       ije=jje*iip1
@@ -1702,8 +1702,8 @@
     
     INTEGER :: ij,ll,Up,Down
-    REAL, dimension(ij,ll) :: FieldS
-    REAL, dimension(ij,ll) :: FieldR
-    integer,dimension(0:MPI_Size-1) :: jj_Nb_New   
-    integer,dimension(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
+    REAL, DIMENSION(ij,ll) :: FieldS
+    REAL, DIMENSION(ij,ll) :: FieldR
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Nb_New
+    INTEGER,DIMENSION(0:MPI_Size-1) :: jj_Begin_New,jj_End_New
 
     INTEGER ::i,jje,jjb,ijb,ije,l
@@ -1720,8 +1720,8 @@
     jjb=max(jj_begin,jj_begin_new(MPI_Rank)-Up)
     jje=min(jj_end,jj_end_new(MPI_Rank)+Down)
-    if (ij==ip1jm) jje=min(jje,jjm)
-    
-    
-    if (jje >= jjb) THEN
+    IF (ij==ip1jm) jje=min(jje,jjm)
+    
+    
+    IF (jje >= jjb) THEN
       ijb=(jjb-1)*iip1+1
       ije=jje*iip1
@@ -1743,5 +1743,5 @@
      REAL :: field_glo(ip1jmp1,ll)
      type(request) :: request_gather
-     integer       :: l
+     INTEGER       :: l
 
 
@@ -1767,10 +1767,10 @@
      type(request) :: request_gather
      INTEGER :: ijb,ije
-     integer       :: l
+     INTEGER       :: l
      
    
      ijb=ij_begin
      ije=ij_end
-     if (pole_sud) ije=ij_end-iip1
+     IF (pole_sud) ije=ij_end-iip1
         
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1795,5 +1795,5 @@
      type(request) :: request_gather
      TYPE(distrib) :: distrib_swap
-     integer       :: l
+     INTEGER       :: l
      
 !$OMP BARRIER
@@ -1829,5 +1829,5 @@
      type(request) :: request_gather
      TYPE(distrib) :: distrib_swap
-     integer       :: ijb,ije,l
+     INTEGER       :: ijb,ije,l
      
 
@@ -1849,5 +1849,5 @@
      ijb=ij_begin
      ije=ij_end
-     if (pole_sud) ije=ij_end-iip1
+     IF (pole_sud) ije=ij_end-iip1
      
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_xios_dyn3dmem.F90	(revision 5117)
@@ -15,5 +15,5 @@
 
      USE lmdz_xios
-     USE wxios, ONLY: g_comm
+     USE lmdz_wxios, ONLY: g_comm
      CHARACTER(len=100), SAVE :: dyn3d_ctx_name = "LMDZDYN"
      TYPE(xios_context), SAVE :: dyn3d_ctx_handle
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5117)
@@ -52,15 +52,15 @@
   END DO
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     DO  ij = 1,iip1
      x(    ij    ,l ) = 0.
     ENDDO
-  endif
+  ENDIF
 
-  if (pole_sud) THEN
+  IF (pole_sud) THEN
     DO  ij = 1,iip1
      x( ij +ip1jm,l ) = 0.
     ENDDO
-  endif
+  ENDIF
   !
   END DO
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgrad_loc.f90	(revision 5117)
@@ -27,5 +27,5 @@
   ijb=ij_begin
   ije=ij_end
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij = ijb+1, ije
@@ -44,6 +44,6 @@
   ije=ij_end+iip1
 
-  if (pole_nord)  ijb=ij_begin+iip1
-  if (pole_sud)  ije=ij_end-iip1
+  IF (pole_nord)  ijb=ij_begin+iip1
+  IF (pole_sud)  ije=ij_end-iip1
 
   DO ij = ijb,ije
@@ -51,15 +51,15 @@
   END DO
 
-  if (pole_nord) THEN
+  IF (pole_nord) THEN
     DO ij = 1,iip1
       x(    ij    ,l ) = 0.
     ENDDO
-  endif
+  ENDIF
 
-  if (pole_sud) THEN
+  IF (pole_sud) THEN
     DO ij = 1,iip1
       x( ij +ip1jm,l ) = 0.
     ENDDO
-  endif
+  ENDIF
   !
   END DO
